* [PATCH] dts: grab linter return value
@ 2025-02-18 23:07 Luca Vizzarro
0 siblings, 0 replies; only message in thread
From: Luca Vizzarro @ 2025-02-18 23:07 UTC (permalink / raw)
To: dev; +Cc: Luca Vizzarro, Paul Szczepanek, Patrick Robb
In dts-check-format we were checking if the linter was updating the
tree, but we were not picking up the return value in case an unfixable
error would be raised.
Signed-off-by: Luca Vizzarro <luca.vizzarro@arm.com>
Reviewed-by: Paul Szczepanek <paul.szczepanek@arm.com>
---
devtools/dts-check-format.sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/devtools/dts-check-format.sh b/devtools/dts-check-format.sh
index 44501f6d3b..907eed1293 100755
--- a/devtools/dts-check-format.sh
+++ b/devtools/dts-check-format.sh
@@ -84,6 +84,7 @@ if $lint; then
heading "Linting in $directory/"
if command -v ruff > /dev/null; then
ruff check --fix
+ errors=$((errors + $?))
git update-index --refresh
retval=$?
--
2.43.0
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2025-02-19 14:36 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2025-02-18 23:07 [PATCH] dts: grab linter return value Luca Vizzarro
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).